function [ sgram ] = MySonogram( y_input,fftsize, m_S )

%zero padding the input wav so that windowing can be done a integer number
%of times
num=ceil(length(y_input)/fftsize); 
y_input=[y_input; zeros(num*fftsize-length(y_input),1)]; 

m_L = fftsize
m_phase=zeros(fftsize/2,1); %phase
m_collect=zeros(fftsize,1); %temporary_input collection of output array_input
[m_win]=windowFunction(fftsize);  %windowing function

mwin=m_win';    %transpose window 

sgram=[]

%this processes one chunk of audio at a time, as per fftsize
      
 for i=0:m_S:(length(y_input)-m_L)
            
            ytemp=y_input(i+1:i+fftsize);
            ytemp2=ytemp.*mwin;                 %windowing the input
            ffttemp=fft(ytemp2);                %do fft
            %m_mag=abs(ffttemp(1:fftsize/2));    %magnitude of the fft

            sgram=[sgram ffttemp(1:fftsize/2)];
 end
y_out=m_collect; 
end

